
<!ENTITY DTDVersion 'V1.1.3' >

<!-- ============ Specialization of declared elements ============ -->

<!ENTITY % wiztask        "wiztask">
<!ENTITY % wiztaskbody    "wiztaskbody">
<!ENTITY % wizsteps       "wizsteps">
<!ENTITY % wizopen        "wizopen">
<!ENTITY % wizpage        "wizpage">
<!ENTITY % wizclose        "wizclose">

<!ENTITY % wiztask-info-types "%info-types;">
<!ENTITY included-domains "">

<!ELEMENT wiztask           (%title;, (%titlealts;)?, (%shortdesc;)?, (%prolog;)?, (%wiztaskbody;), (%related-links;)?, (%wiztask-info-types;)* )>

<!ATTLIST wiztask            id ID #REQUIRED
                          conref CDATA #IMPLIED
                          %select-atts;
                          outputclass CDATA #IMPLIED
                          xml:lang NMTOKEN #IMPLIED
                          DTDVersion CDATA #FIXED "&DTDVersion;"
                          domains CDATA "&included-domains;"
>

<!ELEMENT wiztaskbody       ((%prereq;)?, (%context;)?, (%wizsteps;)?, (%result;)?, (%example;)?, (%postreq;)?) >
<!ATTLIST wiztaskbody        %univ-atts;
                          outputclass CDATA #IMPLIED
>

<!ELEMENT wizsteps          ((%wizopen;), (%wizpage;)*, (%wizclose;))>
<!ATTLIST wizsteps           %univ-atts;
                          outputclass CDATA #IMPLIED
>


<!ELEMENT wizopen           (%cmd;, (%info;|%substeps;|%tutorialinfo;|%stepxmp;|%choicetable;|%choices;)*, (%stepresult;)?) >
<!ATTLIST wizopen	importance (optional | required) #IMPLIED
                          %univ-atts-no-importance-task;
                          outputclass CDATA #IMPLIED
>
<!ELEMENT wizpage	(%cmd;, (%info;|%substeps;|%tutorialinfo;|%stepxmp;|%choicetable;|%choices;)*, (%stepresult;)?) >
<!ATTLIST wizpage	importance (optional | required) #IMPLIED
                          %univ-atts-no-importance-task;
                          outputclass CDATA #IMPLIED
>
<!ELEMENT wizclose	(%cmd;, (%info;|%substeps;|%tutorialinfo;|%stepxmp;|%choicetable;|%choices;)*, (%stepresult;)?) >
<!ATTLIST wizclose	importance (optional | required) #IMPLIED
                          %univ-atts-no-importance-task;
                          outputclass CDATA #IMPLIED
>
<!--specialization attributes-->

<!ATTLIST wiztask         %global-atts; class  CDATA "- topic/topic task/task wiztask/wiztask ">
<!ATTLIST wiztaskbody     %global-atts; class  CDATA "- topic/body task/taskbody wiztask/wiztaskbody ">
<!ATTLIST wizsteps        %global-atts; class  CDATA "- topic/ol task/steps wiztask/wizsteps ">
<!ATTLIST wizopen	%global-atts; class  CDATA "- topic/li task/step wiztask/wizopen ">
<!ATTLIST wizpage	%global-atts; class  CDATA "- topic/li task/step wiztask/wizpage ">
<!ATTLIST wizclose	%global-atts; class  CDATA "- topic/li task/step wiztask/wizclose ">


