
<!ENTITY DTDVersion 'V1.1.1' >

<!-- ============ Specialization of declared elements ============ -->

<!ENTITY % task        "task">
<!ENTITY % taskbody    "taskbody">
<!ENTITY % steps       "steps">
<!ENTITY % step        "step">

<!ENTITY % task-info-types "%info-types;">
<!ENTITY included-domains "">

<!ELEMENT task           (%title;, (%titlealts;)?, (%shortdesc;)?, (%prolog;)?, %taskbody;, (%related-links;)?, (%task-info-types;)* )>
<!ATTLIST task            id ID #REQUIRED
                          conref CDATA #IMPLIED
                          %select-atts;
                          outputclass CDATA #IMPLIED
                          xml:lang NMTOKEN #IMPLIED
                          DTDVersion CDATA #FIXED "&DTDVersion;"
                          domains CDATA "&included-domains;"
>

<!ELEMENT taskbody       ((%prereq;)?, (%context;)?, (%steps;|%steps-unordered;)?, (%result;)?, (%example;)?, (%postreq;)?) >
<!ATTLIST taskbody        %univ-atts;
                          outputclass CDATA #IMPLIED
>

<!ELEMENT steps          ((%step;)+)>
<!ATTLIST steps           %univ-atts;
                          outputclass CDATA #IMPLIED
>

<!ELEMENT step           (%cmd;, (%info;|%substeps;|%tutorialinfo;|%stepxmp;|%choicetable;|%choices;)*, (%stepresult;)?) >
<!ATTLIST step            importance (optional | required) #IMPLIED
                          %univ-atts-no-importance-task;
                          outputclass CDATA #IMPLIED
>

<!--specialization attributes-->

<!ATTLIST task         %global-atts; class  CDATA "- topic/topic task/task ">
<!ATTLIST taskbody     %global-atts; class  CDATA "- topic/body task/taskbody ">
<!ATTLIST steps        %global-atts; class  CDATA "- topic/ol task/steps ">
<!ATTLIST step         %global-atts; class  CDATA "- topic/li task/step ">



